MEMCCPY(3)

NAME
memccpy - copy string until character found

LIBRARY
libc

SYNOPSIS
#include <string.h>
void *
memccpy(void * restrict dst, const void * restrict src, int c, size_t len);

DESCRIPTION
The memccpy() function copies bytes from string src to string dst. If the character c (as converted to an unsigned char) occurs in the string src, the copy stops and a pointer to the byte after the copy of c in the string dst is returned. Otherwise, len bytes are copied, and a NULL pointer is returned. If src and dst overlap, behavior is undefined.

SEE ALSO
bcopy(3), memcpy(3), memmove(3), strcpy(3)

STANDARDS
The memccpy() function conforms to p1003.1-2004 and isoC-2023.

HISTORY
The memccpy() function first appeared in 4.4BSD and was first specified in the svid1. The restrict keyword was added to the prototype in FreeBSD 5.0.0 in accordance with the updated specification of p1003.1-2004.